// EmailFormat.cpp: Hauptprojektdatei.

#include "stdafx.h"

using namespace System;
using namespace System::Text::RegularExpressions;

int main(array<System::String ^> ^args)
{
   String^ email;

   Console::WriteLine();
   Console::Write(" Geben Sie die zu pruefende Email-Adresse ein: ");

   email = Console::ReadLine();

   // E-Mail-Adressenformat prüfen (aus Visual-Online-Hilfe)
   bool gueltig = Regex::IsMatch(email, 
                                 "^([\\w-\\.]+)@((\\[[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.)|(([\\w-]+\\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\\]?)$"); 

   if (gueltig)
       Console::WriteLine("\n Gueltiges Format");
   else
       Console::WriteLine("\n Ungueltiges Format");

   
   Console::ReadLine();
   return 0;
}
